# Class TagPluginManager

java.lang.Object
org.apache.jasper.compiler.TagPluginManager

public class TagPluginManager extends Object
Manages tag plugin optimizations.

## Constructor Summary

Constructors
Constructor
Description
`TagPluginManager(ServletContext ctxt)`
Creates a new TagPluginManager for the given servlet context.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Node.Nodes page, ErrorDispatcher err, PageInfo pageInfo)`
Applies tag plugin optimizations to the given page.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagPluginManager

public TagPluginManager(ServletContext ctxt)
Creates a new TagPluginManager for the given servlet context.

Parameters:
  `ctxt` - the servlet context

## Method Details

### apply

public void apply(Node.Nodes page, ErrorDispatcher err, PageInfo pageInfo) throws JasperException
Applies tag plugin optimizations to the given page.

Parameters:
  `page` - the page node tree
  `err` - the error dispatcher
  `pageInfo` - page information
Throws:
  `JasperException` - if an error occurs during optimization